Bug 72460 - FILEOPEN: Can't access local ftp server
Summary: FILEOPEN: Can't access local ftp server
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: ftp
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2013-12-08 01:50 UTC by Robinson Tryon (qubit)
Modified: 2017-04-24 13:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-12-08 01:50:21 UTC
TESTING on LO 4.2.0.0.beta2 + Ubuntu 12.04.3
(with VSFTP 2.3.5 running on localhost)

When trying to repro bug 72416 I did the following:

- I ran a local FTP server and shoved a test ODT file up there (simple-test-writer-document.odt -- contents unimportant)

- I accessed the ftp server on the command line using username 'anonymous' and password 'anonymous':
ftp localhost

- Following repro instructions on bug 72416, here's the command I used to try opening the file:
./DEBS/install/opt/libreofficedev4.2/program/soffice --norestore ftp://localhost/simple-test-writer-document.odt

RESULT:

Get a dialog "Authentication required."

When I try to enter in the anonymous password ('anonymous' is already filled in for the username) and press the Enter key, the dialog just refreshes.

If I check the FTP logs, I see the following entry:

Sat Dec  7 19:43:35 2013 [pid 2] CONNECT: Client "127.0.0.1"
Sat Dec  7 19:43:35 2013 [pid 1] [ftp] OK LOGIN: Client "127.0.0.1", anon password "ftp@example.com"

If I try to specfiy the username and/or password on the command line like this, the same error occurs:
./DEBS/install/opt/libreofficedev4.2/program/soffice --norestore ftp://anonymous@localhost/simple-test-writer-document.odt
./DEBS/install/opt/libreofficedev4.2/program/soffice --norestore ftp://anonymous:anonymous@localhost/simple-test-writer-document.odt

Using the GUI:

If I open the program and then try to access this file, I can't even get to the 'Authentication required' dialog with stock Ubuntu open dialog. With the LibreOffice dialogs I have the same problem as described above.

Theoretically, one should be able to open documents on an FTP server using either dialog:
https://help.libreoffice.org/Common/Opening_Documents
Comment 1 Robinson Tryon (qubit) 2013-12-08 02:00:41 UTC
Might be related to bug 57765.

Also see Bug 72461 - WIKIHELP: swriter/UUI_HID_LOGIN_DLG_PASSWORD page does not exist.
Comment 2 Maxim Monastirsky 2013-12-08 06:11:01 UTC
@Qubit: Hi, Do you have 'libgnomevfs2-extra' & 'liborbit2' packages installed?
Comment 3 Robinson Tryon (qubit) 2013-12-08 06:19:09 UTC
(In reply to comment #2)
> @Qubit: Hi, Do you have 'libgnomevfs2-extra' & 'liborbit2' packages
> installed?

Yes and No.

qubit@loopbackoffice:~$ dpkg --list libgnomevfs2-extra liborbit2
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  libgnomevfs2-e 1:2.24.4-1ubun GNOME Virtual File System (extra modules)
No packages found matching liborbit2.

I'll try installing liborbit2. Do we have docs on this?  (perhaps we could link to something from the Online Help)
Comment 4 Robinson Tryon (qubit) 2013-12-08 06:56:55 UTC
Update:

Using the LibreOffice dialogs, I now see the button "...". I didn't know that this interface existed to open files on FTP servers :-)

Via that interface, I'm able to open and edit documents.

The documentation suggests a different method:
https://help.libreoffice.org/Common/Opening_Documents

"You can enter a URL in the File name box of the Open dialogs. The URL must start with file:/// or ftp:// or http://."
Comment 5 Robinson Tryon (qubit) 2013-12-08 07:29:40 UTC
(In reply to comment #4)
> Update:
> 
> Using the LibreOffice dialogs, I now see the button "...". I didn't know
> that this interface existed to open files on FTP servers :-)
> 
> Via that interface, I'm able to open and edit documents.

I'm also now able to access ftp docs via the command line:
./DEBS/install/opt/libreofficedev4.2/program/soffice --norestore ftp://localhost/simple-test-writer-document.odt

It sounds like there may be two pieces to this

1) Documentation bug

2) Need extra packages for supported features (so perhaps better docs + error messages ?)
Comment 6 Maxim Monastirsky 2013-12-08 08:28:16 UTC
(In reply to comment #5)
> > Via that interface, I'm able to open and edit documents.
> 
> I'm also now able to access ftp docs via the command line:
> ./DEBS/install/opt/libreofficedev4.2/program/soffice --norestore
> ftp://localhost/simple-test-writer-document.odt
I guess without liborbit2. Looks like LO has it's own ftp handling code, not related to GVFS\GNOME-FVS2. So I was wrong, sorry. BTW what was the problem?

> It sounds like there may be two pieces to this
> 
> 1) Documentation bug
> 
> 2) Need extra packages for supported features (so perhaps better docs +
> error messages ?)
Indeed, at least for GVFS\GNOME-FVS2 based network access (like samba, sftp).
Comment 7 Ulrich Moser 2013-12-31 13:08:43 UTC
I use a NAS-Server that exports its directories as Windows Shares and I access them using the smbclient. When trying to open a text file directly from the share LO 4.1.4.2 always invokes Math instead of Writer. This did not happen in LO 4.1.3.2. Copying the file to a local directory and trying to open it works as expected.         
Operating System: Ubuntu
Version: 4.1.4.2 release
Last worked in: 4.1.3.2 release
Using the LibreOffice dialogs and accessing the file on .gvfs/<share-name> works.
Comment 8 Ulrich Moser 2013-12-31 13:10:00 UTC
*** Bug 73187 has been marked as a duplicate of this bug. ***
Comment 9 Robinson Tryon (qubit) 2015-01-03 18:42:27 UTC
(In reply to Maxim Monastirsky from comment #6)
> I guess without liborbit2. Looks like LO has it's own ftp handling code, not
> related to GVFS\GNOME-FVS2. So I was wrong, sorry.

Ah, okay, so command-line FTP is probably all set. (If someone wants to set up a minimal VM with an FTP server but without liborbit2 to test, that would be icing)

So that leaves us with the GUI and Documentation.

(In reply to Robinson Tryon (qubit) from comment #0)
> Using the GUI:
> 
> If I open the program and then try to access this file, I can't even get to
> the 'Authentication required' dialog with stock Ubuntu open dialog. With the
> LibreOffice dialogs I have the same problem as described above.
> 
> Theoretically, one should be able to open documents on an FTP server using
> either dialog:
> https://help.libreoffice.org/Common/Opening_Documents

REPRO Steps:
- Open LibreOffice  (I'm testing on Ubuntu 14.04)
- Use the regular dialogs (not the "LibreOffice" dialogs)
- File -> Open -> <some document on an FTP server>
  (e.g. "ftp://localhost/simple-test-writer-document.odt")

RESULT: Error dialog
  "The folder contents could not be displayed
   The specified location is not mounted"

EXPECTED: The file to open (or at least a helpful error message about what I need to install to make this work)
Comment 10 Buovjaga 2015-01-19 19:04:06 UTC
If I use ftp://localhost/file.doc either from command line or LibO dialogs, I can't change the username in the auth dialog.

ftp://user:pass@localhost/ works fine from the command line.

With LibO dialogs, I get Access to ftp://.. denied.

With non-LibO dialogs I get:
"The folder contents could not be displayed
   The specified location is not mounted"

Used vsftpd. Had liborbit2 installed.

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 0ffa3abc7d6c0437ece30cfb1430d28ffcc9f5c1
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-15_22:47:16

Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 11 QA Administrators 2016-02-21 08:34:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21